/*
 * Smartcrypt - a tool to encrypt / decrypt files
 * Copyright (C) 2005 Kai Witte
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * For contact information see http://kwitte.dyndns.org/~kwitte/
 */
package org.dyndns.kwitte.smartcrypt.ui.controller;

import javax.crypto.Cipher;
import java.util.ResourceBundle;
import java.io.OutputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * An action to trigger decryption.
 */
public class DecryptAction extends CryptAction {
    private ResourceBundle resourceBundle = ResourceBundle.getBundle(
        "org/dyndns/kwitte/smartcrypt/ui/mainview"
    );

    /**
     * Creates a new instance.
     */
    public DecryptAction() {
        super(Cipher.DECRYPT_MODE, false);
        super.putValue(NAME, resourceBundle.getString("DECRYPT_BUTTON"));
//        super.putValue(MNEMONIC_KEY, KeyEvent.VK_D);
        super.setEnabled(false);
    }

    public byte[] getSalt(InputStream in) throws IOException {
        byte[] b = new byte[8];
        int numbytes = in.read(b);
        if (numbytes != 8) {
            throw new IOException(
                "unexpected end of stream: "
                + "expected at least 8 bytes for salt value");
        }
        return b;
    }

    public void writeHeader(OutputStream out, byte[] salt) throws IOException {
        // no header for decrypted file
    }
}
