package testcase;

import static java.lang.System.*;

import java.io.File;
import java.io.FileFilter;
import java.util.List;
import java.util.ArrayList;
import java.util.Arrays;

public class FileListImpl {
    public File[] listFiles(File sourcedir, FileFilter filter) {
        if (!(sourcedir.exists() && sourcedir.isDirectory())) {
            throw new IllegalArgumentException(
                "sourcedir must exist and be a directory"
            );
        };

        List<File> ret = new ArrayList<File>();
        File[] list = sourcedir.listFiles();
        
        if (list == null) {
            // unreadable directory, e. g. "System Volume Information" on Win2k
            return new File[] {};
        }

        for (File file : list) {
            if (file.isDirectory()) {
                final File[] newArray = listFiles(file, filter);
                System.out.println(newArray);
                final List<File> newList = Arrays.asList(newArray);
                System.out.println(file);
                System.out.println(list);
                System.out.println(filter);
                System.out.println(ret == null);
                System.out.println(newList == null);
                ret.addAll(newList);
            }
            if (filter != null && !filter.accept(file)) {
                continue;
            }
            ret.add(file);
        }

        return ret.toArray(new File[] {});
    }
    
    public static void main(String[] args) {
        new FileListImpl().listFiles(new File("e:\\"), null);
    }
}
