/*
 * Smartcrypt - a tool to encrypt / decrypt files
 * Copyright (C) 2005 Kai Witte
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * For contact information see http://kwitte.dyndns.org/~kwitte/
 */


package test;

import junit.framework.TestSuite;

import java.util.logging.*;
import java.io.IOException;

/**
 * Created by IntelliJ IDEA.
 * User: Administrator
 * Date: 23.12.2004
 * Time: 20:27:48
 * To change this template use File | Settings | File Templates.
 */
public class TestAll extends TestSuite {
    private static final Logger logger =
            Logger.getLogger("org.dyndns.kwitte.smartcrypt");

    static {
        try {
            logger.setLevel(Level.SEVERE);
            Handler h = new FileHandler("error.txt");
            h.setFormatter(new SimpleFormatter());
            logger.addHandler(h);
        } catch (IOException ioe) {
            throw new AssertionError();
        }
    }

    public static void main(String[] args) {
        TestSuite suite = new TestSuite(TestCryptDecrypt.class);
        suite.addTestSuite(TestFileManager.class);
        suite.addTestSuite(TestCipher.class);
        junit.textui.TestRunner.run(suite);

    }

}
