package test;

import org.jtiger.framework.Test;
import static org.jtiger.assertion.Basic.assertEqual;
import static org.jtiger.assertion.Basic.assertTrue;
import org.jtiger.framework.Category;
import org.jtiger.framework.Fixture;
import org.jtiger.framework.ExpectException;
import org.dyndns.kwitte.smartcrypt.FileList;
import org.dyndns.kwitte.smartcrypt.FileListImpl;

import java.io.IOException;
import java.io.FileInputStream;
import java.io.File;
import java.io.FileFilter;
import java.util.Arrays;
import java.util.List;

@Fixture("TestFileFilter")
public final class TestFile
{
    File sourcedir = new File(
        "c:/progs/java/smartcrypt/latest/test-report");
    File[] expectedResults = {
        new File("c:/progs/java/smartcrypt/latest/test-report/index.html"),
        new File("c:/progs/java/smartcrypt/latest/test-report/fixtures"),
        new File("c:/progs/java/smartcrypt/latest/test-report/overall.html"),
        new File("c:/progs/java/smartcrypt/latest/test-report/fixtures.html"),
        new File("c:/progs/java/smartcrypt/latest/test-report/fixtures/fixture0.html")
    };

    @Test("test")
    @Category("file")
    public void exampleTestCase()
    {
        assertEqual(4, 2 + 2);
    }

    @Test("list")
    @Category("file")
    public void noFilterTest()
    {
        FileList list = new FileListImpl();
        assert sourcedir.exists();
        assert sourcedir.isDirectory();
        FileFilter filter = null;

        List<File> result = Arrays.asList(list.listFiles(sourcedir, filter));
        System.out.println(result);
        for (File f: expectedResults) {
            assertTrue(result.contains(f));
        }
    }

    @Test("list")
    @Category("file")
    @ExpectException(IllegalArgumentException.class)
    public void illegalArgument()
    {
        FileList list = new FileListImpl();
        System.out.println(new File("c:/daho").exists());
        list.listFiles(new File("c:/daho"), null);
    }
    @Test("list")
    @Category("file")
    @ExpectException(IllegalArgumentException.class)
    public void illegalArgument2()
    {
        FileList list = new FileListImpl();
        assert new File("c:/boot.ini").exists();
        list.listFiles(new File("c:/boot.ini"), null);
    }
}
