/*
 * Smartcrypt - a tool to encrypt / decrypt files
 * Copyright (C) 2005 Kai Witte
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * For contact information see http://kwitte.dyndns.org/~kwitte/
 */


package test;

import junit.framework.*;
import org.dyndns.kwitte.smartcrypt.*;
import java.io.*;
import javax.crypto.NullCipher;
import java.util.logging.*;

public class TestFileManager extends TestCase {
    private static final Logger logger = 
        Logger.getLogger("org.dyndns.kwitte.smartcrypt");
    static {
        try {
            logger.setLevel(Level.ALL);
            Handler h = new FileHandler("error.txt");
            h.setFormatter(new SimpleFormatter());
            logger.addHandler(h);
        } catch (IOException ioe) {
            throw new AssertionError();
        }
    }

    public static void main (String[] args) {
        junit.textui.TestRunner.run(
                new TestSuite(TestFileManager.class));
    }

    public void testReadWrite() throws IOException {
        FileManager fm = new FileManagerImpl();
        /*fm.filterFile(new File("test.txt"), new FileOutputStream("copy.txt"),
                      new NullCipher());*/
        filesEqual("test.txt", "copy.txt");
        new File("copy.txt").delete();
    }

    private void filesEqual(String f1, String f2) throws IOException {
        InputStream in1 = new FileInputStream(f1);
        InputStream in2 = new FileInputStream(f2);
        while (in1.available() > 0) {
            assertEquals(in1.read(), in2.read());
        }
    }
}

